## libdebconf-kde 0.1~svn1167939

=== CMakeLists.txt ===
project(libdebconf-kde)

cmake_minimum_required(VERSION 2.6.0)

set(DEBCONF_VERSION 0.1.0)

set(DEBCONF_LIB_SOVERSION 0)
set(DEBCONF_LIB_VERSION ${DEBCONF_LIB_SOVERSION}.1.0)

find_package(KDE4 REQUIRED)

include(KDE4Defaults)

add_definitions(
    ${KDE_DEFINITIONS}
)

include_directories(
    ${KDE4_INCLUDES}
    ${CMAKE_CURRENT_SOURCE_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_subdirectory(cmake)
add_subdirectory(src)
add_subdirectory(tools)

=== tools/CMakeLists.txt ===
kde4_add_executable(debkonf main.cpp)
target_link_libraries(debkonf
    debconf-kde
)

=== debian/changelog ===
libdebconf-kde (0.1~svn1167939-0ubuntu3) maverick; urgency=low

  * Fix dep5 formatting of debian/copyright (LP: #639726)
  * Add missing symbol to libdebconf-kde0.symbols
  * Remove -0ubuntu* suffixes from symbols, since we do not modify any methods
    making all symbols come from upstream
  * Fix typo in the svn url (kdereviewe -> kdereview) for the
    fetch_translations target in debian/rules
  * Fetch latest translations as of debian/changelog timestamp

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 16 Sep 2010 13:17:41 -0400

libdebconf-kde (0.1~svn1167939-0ubuntu2) maverick; urgency=low

  * Add kubuntu_01_delete_debconf_socket.diff from upstream svn, delete
    debconf sockets after use

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Aug 2010 23:52:41 +0100

libdebconf-kde (0.1~svn1167939-0ubuntu1) maverick; urgency=low

  * New upstream snapshot
  * Add rule to fetch translations

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Aug 2010 19:40:11 +0100

libdebconf-kde (0.1~svn1160112-0ubuntu2) maverick; urgency=low

  * Add a symbols file for libdebconf-kde0

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 17 Aug 2010 09:59:36 -0400

libdebconf-kde (0.1~svn1160112-0ubuntu1) maverick; urgency=low

  * Initial release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 04 Aug 2010 10:13:13 -0500

=== debian/control ===
Source: libdebconf-kde
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
 kdelibs5-dev
Standards-Version: 3.9.1

Package: libdebconf-kde0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Debconf KDE GUI library
 Debconf KDE is a GUI library for including Debconf frontends in Qt-based
 applications.
 .
 This package contains the Debconf KDE library

Package: libdebconf-kde-dev
Architecture: any
Depends: ${misc:Depends}, libdebconf-kde0 (= ${binary:Version})
Replaces: libdebconf-kde0
Description: Development headers for the Debconf KDE library
 Debconf KDE is a GUI library for including Debconf frontends in Qt-based
 applications.
 .
 This package contains the development headers for the Debconf KDE library

Package: libdebconf-kde-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libdebconf-kde0 (= ${binary:Version})
Recommends: kdelibs5-dbg
Description: Debconf KDE debugging symbols
 This package contains debugging symbols for Debconf KDE.
 When Debconf KDE crashes, in most cases this package is
 needed to get a backtrace that is useful for developers. If you have
 experienced a Debconf KDE crash without this package
 installed, please install it, try to reproduce the problem and fill a bug
 report with a new backtrace attached.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --dbg-package=libdebconf-kde-dbg --with kde $@

fetch_translations:
	mkdir -p po
	cd po; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/subdirs
	cd po; for asdf in `cat subdirs`; do mkdir -p $${asdf}; done
	cd po; for asdf in `cat subdirs`; do echo $${asdf}; cd $${asdf}; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/$${asdf}/messages/kdereview/libdebconf-kde.po; cd ..; done
	cd po; rm subdirs; rmdir --ignore-fail-on-non-empty */
